if(isObject(lob_bank))
	lob_bank.delete();
//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_bank) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "640 480";
   minExtent = "8 8";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "30 37";
      extent = "577 405";
      minExtent = "8 8";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      command = "Canvas.popDialog(lob_bank);";
      accelerator = "escape";
      text = "Bank";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      closeCommand = "Canvas.popDialog(lob_bank);";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "15 90";
         extent = "266 244";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "7 7";
            extent = "253 230";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "dynamic";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_bankTextList) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "251 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "300 91";
         extent = "266 244";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiScrollCtrl(lob_inventorySupport) {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "7 7";
            extent = "253 230";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "dynamic";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_bankInventoryTextlist) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "251 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "15 38";
         extent = "266 40";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "0 3";
            extent = "266 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Bank";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "300 38";
         extent = "266 40";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "0 3";
            extent = "266 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Inventory";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "15 347";
         extent = "266 40";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiButtonCtrl() {
            profile = "GuiButtonProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "6 6";
            extent = "207 30";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            text = "withdrawal";
            groupNum = "-1";
            buttonType = "PushButton";
			command = "lob_doWithdrawal();";
         };
         new GuiTextEditCtrl(lob_bankwithdrawalAmount) {
            profile = "GuiTextEditProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "218 10";
            extent = "40 18";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            maxLength = "255";
            historySize = "0";
            password = "0";
            tabComplete = "0";
            sinkAllKeyEvents = "0";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "300 347";
         extent = "266 40";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiButtonCtrl() {
            profile = "GuiButtonProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "6 6";
            extent = "207 30";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            text = "Deposit";
            groupNum = "-1";
            buttonType = "PushButton";
			command = "lob_doDeposit();";
         };
         new GuiTextEditCtrl(lob_bankDepositAmount) {
            profile = "GuiTextEditProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "218 10";
            extent = "40 18";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            maxLength = "255";
            historySize = "0";
            password = "0";
            tabComplete = "0";
            sinkAllKeyEvents = "0";
         };
      };
   };
};
//--- OBJECT WRITE END ---

function clientCmdOpenBank()
{
	canvas.popDialog(lob_bank);
	canvas.pushDialog(lob_bank);
}

function clientCmdCatchBankData(%row,%item,%count)
{
	lob_bankTextList.addRow(%row,%item SPC "(" @ %count @ ")",0);
	
	return;
	lob_i_list.addRow(%row,%item SPC "(" @ %count @ ")",0);
	lob_bankInventoryTextlist.addRow(%row,%item SPC "(" @ %count @ ")",0);
	lob_tradeInventoryList.addRow(%row,%item SPC "(" @ %count @ ")",0);
	lob_shop_inventory.addRow(%row,%item SPC "(" @ %count @ ")",0);
}

function lob_bank::onWake(%this)
{
	lob_bankTextList.clear();
	lob_bankInventoryTextList.clear();
	
	commandToServer('populateInventory');
	commandToServer('populateBank');
	
	if(lob_bankDepositAmount.getValue() $= "")
		lob_bankDepositAmount.setValue(1);
		
	if(lob_bankwithdrawalAmount.getValue() $= "")
		lob_bankwithdrawalAmount.setValue(1);
}

function lob_doDeposit()
{
	%id = lob_bankInventoryTextList.getSelectedId();
	%name = lob_bankInventoryTextList.getRowTextById(%id);
	%int = pullIntFromString(%name);
	%name = trim(strReplace(%name,%int,""));
	%name = strReplace(%name,"()","");
	%name = trim(%name);
	
	echo("client name = " @ %name);
	
	if(%name !$= "")
	{
		commandToServer('bankDeposit',%name,lob_bankDepositAmount.getValue());
	}
}

function lob_doWithdrawal()
{
	%id = lob_bankTextList.getSelectedId();
	%name = lob_bankTextList.getRowTextById(%id);
	%int = pullIntFromString(%name);
	%name = trim(strReplace(%name,%int,""));
	%name = strReplace(%name,"()","");
	%name = trim(%name);
	
	if(%name !$= "")
	{
		commandToServer('bankWithdrawal',%name,lob_bankWithdrawalAmount.getValue());
	}
}

function lob_bank::onSleep(%this)
{
	lob_bankTextList.clear();
	lob_bankInventoryTextList.clear();
}

function pullIntFromString(%this)
{
	%len = strLen(%this);
	%build = "NULL";
	
	for(%i=0;%i<%len;%i++)
	{
		%letter = getSubStr(%this,%i,1);
		
		if(%letter !$= "-" && (%letter * 1 == 0 && %letter !$= "0"))
			continue;
			
		if(%build !$= "-" && %build !$= "" && (%letter * 1 == 0 && %letter !$= "0"))
			break;
		
		if(%build $= "NULL")
			%build = "";
			
		%build = %build @ %letter;
	}
	
	return %build;
}
