lob_dlg.delete();

//--- OBJECT WRITE BEGIN ---
new GuiControl(LOB_Dlg) 
{
profile = "GuiDefaultProfile";
horizSizing = "right";
vertSizing = "bottom";
position = "0 0";
extent = "800 600";
minExtent = "8 8";
enabled = "1";
visible = "1";
clipToParent = "1";

	new GuiWindowCtrl() 
	{
		profile = "BlockWindowProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "212 141";
		extent = "376 318";
		minExtent = "8 8";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		text = "";
		maxLength = "255";
		resizeWidth = "0";
		resizeHeight = "0";
		canMove = "1";
		canClose = "1";
		canMinimize = "0";
		canMaximize = "0";
		minSize = "50 50";
		closeCommand = "Canvas.popDialog(Lob_Dlg);";
		accelerator = "escape";
		command = "Canvas.popDialog(Lob_Dlg);";

		new GuiMLTextCtrl(lob_stringDlg) 
		{
			profile = "HUDChatTextEditSize4Profile";
			horizSizing = "center";
			vertSizing = "top";
			position = "10 53";
			extent = "248 24";
			minExtent = "8 2";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
			lineSpacing = "2";
			allowColorChars = "0";
			maxChars = "-1";
			text = "<font:impact:20><just:center>" @ %string;
			maxBitmapHeight = "-1";
			selectable = "0";
			autoResize = "1";
			defaultObj = "1";
		};

		new GuiButtonCtrl() 
		{
			profile = "GuiButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "116 267";
			extent = "140 30";
			minExtent = "8 2";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
			text = "Close";
			groupNum = "-1";
			buttonType = "PushButton";
			command = "Canvas.popDialog(Lob_Dlg);lob_dlg.clearData();";
			defaultObj = "1";
		};
	};
};
//--- OBJECT WRITE END ---

//Canvas.pushDialog(Lob_Dlg);

function lob_dlg::onSleep(%this)
{
	lob_dlg.clearData();
}

function Lob_dlg::setXUnderY(%this,%x,%y)
{
	%push = getWord(%y.position,1) + getWord(%y.extent,1);
	if(%y.getClassName() !$= "guiButtonCtrl")
		%push += 20;
	%x.position = getWord(%x.position,0) SPC %push;
	%x.setVisible(1);
}

function lob_dlg::clearData(%this)
{
	%obj = %this.getObject(0);
	%c = %obj.getCount();
	%ic = -1;

	for(%i=%c-1;%i>=0;%i--)
	{
		%innerObj = %obj.getObject(%i);
		if(%innerObj.defaultObj $= "")
		{
			%delete[%ic++] = %innerObj;
		}
	}
	
	for(%i=0;%i<%ic+1;%i++)
		%delete[%i].delete();
}

function clientCmdCloseDialogue()
{
	canvas.popDialog(lob_dlg);
}

function clientCmdSetDlg(%head,%string,%btna,%btnb,%btnc,%btnd,%btne,%btnf,%btng)
{
	if(lob_dlg.isAwake())
		lob_dlg.clearData();
		
	Lob_Dlg.getObject(0).settext(%head);
	
	%c[0] = "a";
	%c[1] = "b";
	%c[2] = "c";
	%c[3] = "d";
	%c[4] = "e";
	%c[5] = "f";
	%c[6] = "g";
	
	%btnTotal = 0;
	
	%textObject = lob_stringdlg;
	%textObject.setText("<font:comic sans ms:24><div:100><shadow:2:2><shadowcolor:00000066><just:center>" @ %string);
	
canvas.pushDialog(lob_dlg);
	
	for(%i=0;%i<7;%i++)
	{
		%btn = %btn[%c[%i]];
		
		
		if(%btn $= "")
			break;
			
		%btnTotal++;
		
		%tbtn = strLwr(%btn);
		%btnText = getSubStr(%btn,strStr(%tbtn,"#string"),strStr(%tbtn,"#command"));
		%btnText = trim(strReplace(%btnText,"#string",""));
		%command = getSubStr(%btn,strStr(%tbtn,"#command"),strLen(%btn));
		%command = trim(strReplace(%command,"#command",""));
		
		if(%command $= "")
			%command = "closeDlg";
			
		%btnObject = new GuiButtonCtrl() 
		{
			profile = "GuiButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "35 " @ %lastBPos;
			extent = "300 20";
			minExtent = "8 2";
			enabled = "1";
			visible = "0";
			clipToParent = "1";
			text = %btnText;
			groupNum = "-1";
			buttonType = "PushButton";
			command = "commandToServer('" @ %command @ "');";
		};
		
		if(%lastBPos $= "")
		{
			%lastBPos = true;
			lob_dlg.schedule(100,setXUnderY,%btnObject,lob_stringDlg);
		}
		else
		{
			lob_dlg.schedule(100,setXUnderY,%btnObject,%lastButton);
		}
		
		%lastButton = %btnObject;
		
		//Lob_Dlg.getObject(0).add(%textObject);
		Lob_Dlg.getObject(0).add(%btnObject);
	}
}