if(isObject(DuelWindow))
	duelWindow.delete();
//--- OBJECT WRITE BEGIN ---
new GuiControl(DuelWindow) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "800 600";
   minExtent = "8 2";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "GuiWindowProfile";
      horizSizing = "right";
      vertSizing = "bottom";
      position = "115 54";
      extent = "550 460";
      minExtent = "8 2";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      command = "commandtoserver(\'declineDuel\');";
      accelerator = "escape";
      maxLength = "255";
      resizeWidth = "1";
      resizeHeight = "1";
      canMove = "1";
      canClose = "1";
      canMinimize = "1";
      canMaximize = "1";
      minSize = "50 50";
      closeCommand = "commandtoserver(\'declineDuel\');";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "224 59";
         extent = "309 162";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "6 6";
            extent = "298 150";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "dynamic";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(PlayerItems) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "296 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "224 253";
         extent = "309 162";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "6 6";
            extent = "298 150";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "dynamic";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(OpponentItems) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "296 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "14 417";
         extent = "75 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "commandtoserver(\'acceptDuel\');";
         text = "Accept";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "123 417";
         extent = "72 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "commandtoserver(\'declineDuel\');";
         text = "Decline";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiBitmapCtrl(Melee) {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "16 329";
         extent = "30 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         bitmap = "add-ons/client_lob/images/melee";
         wrap = "0";
         lockAspectRatio = "0";
         alignLeft = "0";
         alignTop = "0";
         overflowImage = "0";
         keepCached = "0";
         mColor = "255 255 255 255";
         mMultiply = "0";
            activated = "1";

         new GuiMouseEventCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "29 31";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lockMouse = "0";
               bodyCtrl = "Melee";
         };
      };
      new GuiBitmapCtrl(range) {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "60 329";
         extent = "30 29";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         bitmap = "add-ons/client_lob/images/range";
         wrap = "0";
         lockAspectRatio = "0";
         alignLeft = "0";
         alignTop = "0";
         overflowImage = "0";
         keepCached = "0";
         mColor = "255 255 255 255";
         mMultiply = "0";
            activated = "1";

         new GuiMouseEventCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "32 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lockMouse = "0";
               bodyCtrl = "Range";
         };
      };
      new GuiBitmapCtrl(Magic) {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "104 329";
         extent = "31 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         bitmap = "add-ons/client_lob/images/magic";
         wrap = "0";
         lockAspectRatio = "0";
         alignLeft = "0";
         alignTop = "0";
         overflowImage = "0";
         keepCached = "0";
         mColor = "255 255 255 255";
         mMultiply = "0";
            activated = "1";

         new GuiMouseEventCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "32 32";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lockMouse = "0";
               bodyCtrl = "Magic";
         };
      };
      new GuiBitmapCtrl(Food) {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "154 328";
         extent = "30 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         bitmap = "add-ons/client_lob/images/food";
         wrap = "0";
         lockAspectRatio = "0";
         alignLeft = "0";
         alignTop = "0";
         overflowImage = "0";
         keepCached = "0";
         mColor = "255 255 255 255";
         mMultiply = "0";
            activated = "1";

         new GuiMouseEventCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "30 32";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lockMouse = "0";
               bodyCtrl = "Food";
         };
      };
      new GuiBitmapCtrl(Dash) {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "16 366";
         extent = "31 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         bitmap = "add-ons/client_lob/images/dash";
         wrap = "0";
         lockAspectRatio = "0";
         alignLeft = "0";
         alignTop = "0";
         overflowImage = "0";
         keepCached = "0";
         mColor = "255 255 255 255";
         mMultiply = "0";
            activated = "1";

         new GuiMouseEventCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "33 32";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lockMouse = "0";
               bodyCtrl = "Dash";
         };
      };
      new GuiTextCtrl(DuelStatus) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "224 425";
         extent = "131 18";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         text = "Waiting on users to Accept";
         maxLength = "255";
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "16 59";
         extent = "175 161";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "6 5";
            extent = "164 151";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "dynamic";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(DuelInventory) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "162 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "15 267";
         extent = "84 20";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "DuelWindow.removeItem();";
         text = "Remove";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiTextEditCtrl(RemoveCount) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "127 267";
         extent = "64 18";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiTextEditCtrl(AddCount) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "127 240";
         extent = "64 18";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "15 239";
         extent = "84 20";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "DuelWindow.addItem();";
         text = "Add";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiMLTextCtrl() {
         profile = "HUDChatTextEditSize4Profile";
         horizSizing = "left";
         vertSizing = "top";
         position = "290 30";
         extent = "180 24";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         lineSpacing = "2";
         allowColorChars = "0";
         maxChars = "-1";
         text = "Items you are staking";
         maxBitmapHeight = "-1";
         selectable = "0";
         autoResize = "1";
      };
      new GuiMLTextCtrl() {
         profile = "HUDChatTextEditSize4Profile";
         horizSizing = "left";
         vertSizing = "top";
         position = "253 223";
         extent = "250 24";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         lineSpacing = "2";
         allowColorChars = "0";
         maxChars = "-1";
         text = "Items your opponent is staking";
         maxBitmapHeight = "-1";
         selectable = "0";
         autoResize = "1";
      };
      new GuiMLTextCtrl() {
         profile = "HUDChatTextEditSize4Profile";
         horizSizing = "left";
         vertSizing = "top";
         position = "59 29";
         extent = "90 23";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         lineSpacing = "2";
         allowColorChars = "0";
         maxChars = "-1";
         text = "Inventory";
         maxBitmapHeight = "-1";
         selectable = "0";
         autoResize = "1";
      };
      new GuiMLTextCtrl() {
         profile = "HUDChatTextEditSize4Profile";
         horizSizing = "left";
         vertSizing = "top";
         position = "78 291";
         extent = "49 24";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         lineSpacing = "2";
         allowColorChars = "0";
         maxChars = "-1";
         text = "Rules";
         maxBitmapHeight = "-1";
         selectable = "0";
         autoResize = "1";
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "14 408";
         extent = "180 2";
         minExtent = "1 1";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "14 320";
         extent = "180 2";
         minExtent = "1 1";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";
      };
   };
};
//--- OBJECT WRITE END ---



///////////////////////////////////////////////////////

function DuelWindow::onWake(%this)
{
	DuelInventory.clear();
	commandToServer('populateInventory');
}

function DuelWindow::onSleep(%this)
{
	PlayerItems.clear();
	OpponentItems.clear();
	AddCount.setValue("");
	RemoveCount.setValue("");
}

function DuelWindow::addItem(%this)
{
	if((%id = DuelInventory.getSelectedId()) == -1)
		return;
	
	%rowText = DuelInventory.getRowTextById(%id);
	%itemName = getSubStr(%rowText, 0, strstr(%rowText, " ("));
	%itemCount = AddCount.getValue();
	
	commandToServer('addDuelItem', %itemName, %itemCount);
}

function DuelWindow::removeItem(%this)
{
	if((%id = PlayerItems.getSelectedId()) == -1)
		return;
	
	%itemCount = RemoveCount.getValue();
	
	commandToServer('removeDuelItem', %id, %itemCount);
}

package DuelWindowPackage
{
	function GuiMouseEventCtrl::onMouseDown(%this, %loc, %type)
	{
		commandToServer('updateRule', %this.bodyCtrl);
		return parent::onMouseDown(%this, %loc, %type);
	}
};
activatepackage(DuelWindowPackage);



/////////////////////////////////////////////////////////////
function clientCmdOpenDuelWindow()
{
	canvas.pushDialog(DuelWindow);
}

function clientCmdCloseDuelWindow()
{
	canvas.popDialog(DuelWindow);
	
}

function clientCmdAddDuelItem(%id, %item, %count, %isMine)
{
	if(%isMine)
	{
		PlayerItems.addRow(%id, %item SPC "(" @ %count @ ")",0);
		DuelInventory.clear();
		commandToServer('populateInventory');
	}
	else
		OpponentItems.addRow(%id, %item SPC "(" @ %count @ ")",0);
}

function clientCmdUpdateDuelItem(%id, %text, %isMine)
{
	if(%isMine)
	{
		PlayerItems.setRowById(%id, %text);
		DuelInventory.clear();
		commandToServer('populateInventory');
	}
	else
		OpponentItems.setRowById(%id, %text);
}

function clientCmdRemoveDuelItem(%id, %isMine)
{
	if(%isMine)
	{
		PlayerItems.removeRowById(%id);
		DuelInventory.clear();
		commandToServer('populateInventory');
	}
	else
		OpponentItems.removeRowById(%id);
}

function clientCmdUpdateDuelRule(%rule, %allowed)
{
	if(%rule $= "")
		return;
	
	%bmp = %allowed ? "add-ons/client_lob/images/" @ %rule : "add-ons/client_lob/images/no" @ %rule;
	%rule.setBitmap(strlwr(%bmp));
}

function clientCmdUpdateDuelStatus(%msg)
{
	DuelStatus.setText(%msg);
}