if(isObject(lob_inventory))
	lob_inventory.delete();

//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_inventory) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "800 600";
   minExtent = "8 8";
   enabled = "1";
   visible = "1";
   clipToParent = "1";
      Lob = "1";

   new GuiWindowCtrl(lob_inventory_support) {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "131 69";
      extent = "538 462";
      minExtent = "8 8";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      command = "canvas.popDialog(lob_inventory);";
      accelerator = "escape";
      text = "Inventory";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      closeCommand = "canvas.popDialog(lob_inventory);";
         onWakePosSet = "1";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "19 43";
         extent = "274 35";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 100";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "2 1";
            extent = "269 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Inventory";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "19 92";
         extent = "275 354";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 100";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "15 16";
            extent = "247 200";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "dynamic";
            constantThumbHeight = "0";
            childMargin = "5 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_I_list) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "6 1";
               extent = "220 320";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
         new GuiButtonCtrl() {
            profile = "GuiButtonProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "16 223";
            extent = "119 21";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            command = "lob_i_use();";
            text = "Use";
            groupNum = "-1";
            buttonType = "PushButton";
         };
         new GuiButtonCtrl() {
            profile = "GuiButtonProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "143 223";
            extent = "119 21";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            command = "lob_i_discard();";
            text = "Discard";
            groupNum = "-1";
            buttonType = "PushButton";
         };
         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "16 250";
            extent = "246 93";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "100 100 100 100";

            new GuiScrollCtrl() {
               profile = "GuiScrollProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "6 5";
               extent = "233 83";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               willFirstRespond = "0";
               hScrollBar = "dynamic";
               vScrollBar = "dynamic";
               constantThumbHeight = "0";
               childMargin = "5 0";
               rowHeight = "40";
               columnWidth = "30";

               new GuiMLTextCtrl(lob_I_iinfo) {
                  profile = "HUDChatTextEditSize4Profile";
                  horizSizing = "right";
                  vertSizing = "top";
                  position = "6 1";
                  extent = "200 34";
                  minExtent = "8 2";
                  enabled = "1";
                  visible = "1";
                  clipToParent = "1";
                  lineSpacing = "2";
                  allowColorChars = "0";
                  maxChars = "-1";
                  text = "<just:center><font:impact:30>Inventory";
                  maxBitmapHeight = "-1";
                  selectable = "1";
                  autoResize = "1";
               };
            };
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "323 43";
         extent = "195 35";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "lob_i_discard();";
         color = "100 100 100 100";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "-54 1";
            extent = "302 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Equipped Items";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "380 92";
         extent = "86 79";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 100";

         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "85 17";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "100 100 100 100";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "0 0";
               extent = "84 15";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:15>Helmet";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiBitmapCtrl(lob_inventory_helmetimage) {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "1 17";
            extent = "84 62";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            wrap = "0";
            lockAspectRatio = "0";
            alignLeft = "0";
            alignTop = "0";
            overflowImage = "0";
            keepCached = "0";
            mColor = "255 255 255 255";
            mMultiply = "0";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "323 194";
         extent = "86 79";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 100";

         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "85 17";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "100 100 100 100";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "0 0";
               extent = "84 15";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:15>Weapon";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiBitmapCtrl(lob_inventory_weaponimage) {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "1 17";
            extent = "84 62";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            wrap = "0";
            lockAspectRatio = "0";
            alignLeft = "0";
            alignTop = "0";
            overflowImage = "0";
            keepCached = "0";
            mColor = "255 255 255 255";
            mMultiply = "0";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "432 194";
         extent = "86 79";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 100";

         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "85 17";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "100 100 100 100";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "0 0";
               extent = "84 15";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:15>Armor";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiBitmapCtrl(lob_inventory_armorimage) {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "1 17";
            extent = "84 62";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            wrap = "0";
            lockAspectRatio = "0";
            alignLeft = "0";
            alignTop = "0";
            overflowImage = "0";
            keepCached = "0";
            mColor = "255 255 255 255";
            mMultiply = "0";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "323 296";
         extent = "196 150";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 100";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "11 41";
            extent = "177 100";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "dynamic";
            constantThumbHeight = "0";
            childMargin = "2 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_i_statsList) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "3 1";
               extent = "171 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
         new GuiMLTextCtrl(lob_i_stats) {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "0 1";
            extent = "196 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Stats";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
   };
};
//--- OBJECT WRITE END ---


$lob::itemCorrectName["Grandfather'sSword"] = "Grandfather's Sword";

//weapons
$lob::itemCorrectName["bronzeShortSword"] = "Bronze Shortsword";
$lob::itemCorrectName["IronShortSword"] = "Iron Shortsword";
$lob::itemCorrectName["steelShortSword"] = "Steel Shortsword";
$lob::itemCorrectName["mithrilShortSword"] = "Mithril Shortsword";
$lob::itemCorrectName["AdamantiteShortSword"] = "Adamantite Shortsword";

$lob::itemCorrectName["bronzeBow"] = "Bronze Bow";
$lob::itemCorrectName["IronBow"] = "Iron Bow";
$lob::itemCorrectName["steelBow"] = "Steel Bow";
$lob::itemCorrectName["mithrilBow"] = "Mithril Bow";
$lob::itemCorrectName["AdamantiteBow"] = "Adamantite Bow";

$lob::itemCorrectName["bronzeJavlin"] = "Bronze Javlin";
$lob::itemCorrectName["IronJavlin"] = "Iron Javlin";
$lob::itemCorrectName["steelJavlin"] = "Steel Javlin";
$lob::itemCorrectName["mithrilJavlin"] = "Mithril Javlin";
$lob::itemCorrectName["adamantiteJavlin"] = "Adamantite Javlin";

//tools
$lob::itemCorrectName["BronzePickAxe"] = "Bronze Pickaxe";
$lob::itemCorrectName["ironPickAxe"] = "Iron Pickaxe";
$lob::itemCorrectName["steelPickaxe"] = "Steel Pickaxe";
$lob::itemCorrectName["mithrilPickaxe"] = "Mithril Pickaxe";
$lob::itemCorrectName["adamantitePickaxe"] = "Adamantite Pickaxe";

$lob::itemCorrectName["BronzeAxe"] = "Bronze Axe";
$lob::itemCorrectName["IronAxe"] = "Iron Axe";
$lob::itemCorrectName["SteelAxe"] = "Steel Axe";
$lob::itemCorrectName["mithrilAxe"] = "Mithril Axe";
$lob::itemCorrectName["AdamntiteAxe"] = "Adamantite Axe";

//items
$lob::itemCorrectName["PineLogs"] = "Pine Logs";
$lob::itemCorrectName["oakLogs"] = "Oak Logs";
$lob::itemCorrectName["mapleLogs"] = "Maple Logs";
$lob::itemCorrectName["willowLogs"] = "Willow Logs";

$lob::itemCorrectName["tinOres"] = "Tin Ores";
$lob::itemCorrectName["ironOres"] = "Iron Ores";
$lob::itemCorrectName["copperOres"] = "Copper Ores";
$lob::itemCorrectName["coalOres"] = "Coal Ores";
$lob::itemCorrectName["mithrilOres"] = "Mithril Ores";
$lob::itemCorrectName["adamantiteOres"] = "Adamantite Ores";

$lob::itemCorrectName["gold"] = "Gold";

$lob::itemCorrectName["bronzeBars"] = "Bronze Bars";
$lob::itemCorrectName["ironBars"] = "Iron Bars";
$lob::itemCorrectName["steelBars"] = "Steel Bars";
$lob::itemCorrectName["MithrilBars"] = "Mithril Bars";
$lob::itemCorrectName["adamantiteBars"] = "Adamantite Bars";

$lob::itemCorrectName["OrduniaScroll"] = "Ordunia Scroll";
$lob::itemCorrectName["WhiteStoneScroll"] = "Whitestone Scroll";

//dynamic D:
function clientCmdLobRegisterItemVariable(%name,%correctName)
{
	if(%name $= "" || %correctName $= "")
		return false;
		
	$lob::itemCorrectName[%name] = %correctName;
}

function clientCmdOpenInventory()
{
	canvas.pushDialog(lob_inventory);
}

function clientCmdCloseInventory()
{
	canvas.popDialog(lob_inventory);
}

function clientCmdCatchInvData(%row,%item,%count)
{
	if(%row $= "end")
	{
		lob_i_list.sort(0);
		return false;
	}
	lob_i_list.addRow(%row,%item SPC "(" @ %count @ ")",0);
	lob_bankInventoryTextlist.addRow(%row,%item SPC "(" @ %count @ ")",0);
	lob_tradeInventoryList.addRow(%row,%item SPC "(" @ %count @ ")",0);
	lob_shop_Inventory.addRow(%row,%item SPC "(" @ %count @ ")",0);
	DuelInventory.addRow(%row,%item SPC "(" @ %count @ ")",0);
}

function lob_inventory::onwake(%this)
{
	if(!lob_inventory_support.onWakePosSet)
	{
		lob_inventory_support.position = %this.lob_inventory.onWakePos;
		lob_inventory_support.onWakePosSet = true;
	}
	
	%list = lob_i_list;
	
	if(%list.getSelectedId() == -1)
	{
		lob_i_iinfo.setText("<just:center><font:impact:20>Click an item to see relevant info here.");
	}
	
	%list.clear();
	
	commandToServer('populateInventory');
	commandToServer('getInventoryStats');
	lob_i_list.sort(0);
}

function lob_Inventory::configure(%this)
{
	lob_inventory_support.position = "0 0";
}

function lob_i_list::onSelect(%a,%b,%c)
{
	%item = getWords(%c,0,getWordCount(%c) - 2);
	commandToServer('getItemInfo',%item);
}

function clientCmdLob_catchItemInfo(%text)
{
	lob_i_iinfo.setText("<just:center><font:impact:20>" @ %text);
}

function clientCmdLob_RegisterButton(%name,%command)
{
	if(lob_hud.isRegistered[%name] || %name $= "" || %command $= "")
		return 0;
	
	lob_hud.registerButton(%name,%command);
}

function lob_i_use()
{
	%row = lob_i_list.getSelectedId();
	
	if(%row == -1)
		return 0;
		
	%row = lob_i_list.getRowTextById(%row);
	
	%item = getWords(%row,0,getWordCount(%row) - 2);
	
	$lob::lastItemUsed = %item;

	commandToServer('wield',%item);
}

function lob_i_discard()
{
	%row = lob_i_list.getSelectedId();
	
	if(%row == -1)
		return 0;
		
	%row = lob_i_list.getRowTextById(%row);
	
	%item = getWords(%row,0,getWordCount(%row) - 2);

	commandToServer('drop',%item,1);
}

function clientCmdUpdateInventoryIcon(%type,%name)
{
	if(%type $= "weapon")
		lob_inventory_weaponImage.setBitmap(%name);
}

function clientCmdCatchSkillData(%weapDmg,%armor,%helmet)
{
	lob_i_statsList.clear();
	
	%l = lob_i_statsList;
	
	%l.addRow(0,"Max Hit: " @ %weapDmg,0);
	%l.addRow(1,"Armor Bonus: " @ %armor + %helmet,0);
	
}

lob_inventory.schedule(1000,configure);
