if(isObject(lob_shop))
	lob_Shop.delete();

//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_shop) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "800 600";
   minExtent = "8 8";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "36 64";
      extent = "728 471";
      minExtent = "8 8";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      command = "Canvas.popDialog(lob_shop);";
      accelerator = "escape";
      text = "Shop";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      closeCommand = "Canvas.popDialog(lob_shop);";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "21 30";
         extent = "365 47";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "-6 11";
            extent = "377 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30><div:0>Global Shop";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "21 93";
         extent = "365 216";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "12 12";
            extent = "342 191";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "alwaysOn";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_shop_shopInventory) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "325 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "406 93";
         extent = "302 360";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "15 16";
            extent = "274 328";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "alwaysOn";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_shop_inventory) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "257 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "406 30";
         extent = "302 47";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "-38 11";
            extent = "377 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Inventory";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "21 326";
         extent = "366 91";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "0 0";
            extent = "366 21";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "0 0 0 100";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "-6 1";
               extent = "377 20";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:20><div:0>Info";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiMLTextCtrl(lob_shop_info) {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "5 21";
            extent = "356 44";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<font:arial:22>Shop owner will buy the selected item for 12 gold";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiButtonCtrl(lob_shop_actionbutton) {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "21 428";
         extent = "140 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         text = "Action";
         groupNum = "-1";
         buttonType = "PushButton";
		 command = "lob_shop_doAction();";
      };
      new GuiTextEditCtrl(lob_shop_amount) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "258 436";
         extent = "130 18";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
   };
};
//--- OBJECT WRITE END ---


function lob_shop_buySelected()
{

}

function lob_shop_sellSelected()
{

}

function clientCmdOpenShopWindow()
{
	canvas.pushDialog("lob_shop");
}

function clientCmdCloseShopWindow()
{
	canvas.popDialog(lob_shop);
}

function lob_shop::onWake(%this)
{
	lob_shop_info.setText("");
	lob_shop_amount.setValue(1);
	commandToServer('populateShop');
	lob_shop_inventory.clear();
	lob_shop_shopInventory.clear();
}

function clientCmdCatchShopData(%row,%item,%count)
{
	lob_shop_shopInventory.addRow(%row,%item SPC "(" @ %count @ ")",0);
}

function lob_shop_shopinventory::onSelect(%this,%a,%b)
{
	lob_shop_actionButton.setText("Buy");
	
	%item = %this.getSelectedId();
	if(%item == -1)	return false;
	%item = %this.getRowTextById(%item);
	%item = getSubStr(%item,0,strStr(%item,"("));
	%item = trim(%item);
	
	%amount = trim(%amount);
	commandToServer('getpriceInfo',%item,"buy");
}

function lob_shop_inventory::onSelect(%this,%a,%b)
{
	lob_shop_actionButton.setText("Sell");
	%item = %this.getSelectedId();
	if(%item == -1)	return false;
	%item = %this.getRowTextById(%item);
	%item = getSubStr(%item,0,strStr(%item,"("));
	%item = trim(%item);
	
	%amount = trim(%amount);
	commandToServer('getpriceInfo',%item,"sell");
}

function lob_shop_doAction()
{
	%val = lob_shop_actionbutton.getText();
	
	if(%val !$= "sell" && %val !$= "buy")
		return false;
	
	eval("lob_shop_"@%val@"item();");
}

function lob_shop_sellItem()
{
	%amount = mfloor(pullIntFromString(lob_shop_amount.getValue()));
	%item = lob_shop_inventory.getSelectedId();
	if(%item == -1)	return false;
	%item = lob_shop_inventory.getRowTextById(%item);
	%item = getSubStr(%item,0,strStr(%item,"("));
	%item = trim(%item);
	
	%amount = trim(%amount);
	
	commandToServer('doAction',%item,%amount,"Sell");
	
}

function lob_shop_buyItem()
{
	%amount = mfloor(pullIntFromString(lob_shop_amount.getValue()));
	%item = lob_shop_shopinventory.getSelectedId();
	if(%item == -1)	return false;
	%item = lob_shop_shopinventory.getRowTextById(%item);
	%item = getSubStr(%item,0,strStr(%item,"("));
	%item = trim(%item);
	
	%amount = trim(%amount);
	
	commandToServer('doAction',%item,%amount,"buy");
	commandToServer('getpriceInfo',%item,"buy");
}

function clientCmdCatchPriceInfo(%this)
{
	lob_shop_info.setText("<font:arial:22>" @ %this);
}
