if(isObject(lob_updatesCtrl))
	lob_updatesCtrl.delete();

//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_UpdatesCtrl) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "800 600";
   minExtent = "8 8";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "51 48";
      extent = "702 512";
      minExtent = "8 8";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      text = "Updates";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      closeCommand = "Canvas.popDialog(lob_updatesCtrl);";
	  accelerator = "escape";
	  command = "canvas.popDialog(lob_updatesCtrl);";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "19 36";
         extent = "669 45";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiMLTextCtrl(lob_updatesVersionText) {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "57 7";
            extent = "555 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Land of Blocks Version ";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "19 94";
         extent = "329 45";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "30 7";
            extent = "268 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Client Updates";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "359 94";
         extent = "329 45";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "30 7";
            extent = "268 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Server Updates";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "19 153";
         extent = "329 343";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "9 10";
            extent = "309 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "0 3";
               extent = "309 20";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:20>Versions";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "9 46";
            extent = "310 67";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_clientVersionList) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "293 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "9 121";
            extent = "309 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "0 3";
               extent = "309 20";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:20>Info";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "9 158";
            extent = "310 175";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "2 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiMLTextCtrl(lob_clientInfoText) {
               profile = "GuiMLTextProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "292 14";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "359 153";
         extent = "329 343";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "9 10";
            extent = "309 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "0 3";
               extent = "309 20";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:20>Versions";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "9 46";
            extent = "310 67";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_serverVersionList) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "293 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "9 121";
            extent = "309 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "0 3";
               extent = "309 20";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:20>Info";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "9 158";
            extent = "310 175";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "dynamic";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "2 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiMLTextCtrl(lob_serverInfoText) {
               profile = "GuiMLTextProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "292 14";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
      };
   };
};
//--- OBJECT WRITE END ---

function lob_updatesCtrl::onWake(%this)
{
	lob_serverInfoText.setText("");
	lob_clientInfoText.setText("");
	lob_updatesVersionText.setText("");
	lob_serverVersionList.clear();
	lob_ClientVersionList.clear();
	
	commandToServer('populateUpdatesList');
}

function clientCmdPopulateUpdatesList(%clientversion,%serverversion)
{
	lob_updatesVersionText.setText("<font:impact:30><just:center>Land of Blocks Version " @ %serverVersion);
	for(%i=1;%i<%clientVersion+1;%i++)
	{
		lob_clientVersionList.addrow(%i-1,"Version " @ %i);
	}
	
	for(%i=1;%i<%serverVersion+1;%i++)
	{
		lob_serverVersionList.addRow(%i-1,"Version " @ %i);
	}
}

function lob_clientVersionList::onSelect(%this,%id,%row)
{
	%version = getWord(%this.getRowTextById(%id),1);
	
	commandToServer('getClientUpdateInfo',%version);
}

function lob_serverVersionList::onSelect(%this,%id,%row)
{
	%version = getWord(%this.getRowTextById(%id),1);
	
	commandToServer('getServerUpdateInfo',%version);
}

function clientCmdCatchClientUpdateInfo(%info)
{
	lob_ClientInfoText.setText("");
	lob_ClientInfoText.setText(%info);
}

function clientCmdCatchServerUpdateInfo(%info)
{
	lob_serverInfoText.setText("");
	lob_serverInfoText.setText(%info);
}
