if(isObject(lob_visionHud))
	lob_visionHud.delete();
	
function lob_vision_buildHud()
{
	if(isObject(lob_visionHud))
		lob_visionHud.delete();
		
	new GuiSwatchCtrl(lob_visionHud) 
	{
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "45 125";
		extent = "285 65";
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		color = "100 100 100 100";

		new GuiSwatchCtrl() 
		{
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "9 7";
			extent = "52 52";
			minExtent = "8 2";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
			color = "255 255 255 100";

			new GuiBitmapCtrl(lob_vision_icon) 
			{
				profile = "GuiDefaultProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "2 2";
				extent = "48 48";
				minExtent = "8 2";
				enabled = "1";
				visible = "1";
				clipToParent = "1";
				bitmap = "";
				wrap = "1";
				lockAspectRatio = "0";
				alignLeft = "0";
				alignTop = "0";
				overflowImage = "0";
				keepCached = "0";
				mColor = "255 255 255 255";
				mMultiply = "0";
			};
		};
		new GuiSwatchCtrl() 
		{
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "70 7";
			extent = "207 52";
			minExtent = "8 2";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
			color = "255 255 255 100";

			new GuiMLTextCtrl(lob_vision_text) 
			{
				profile = "GuiMLTextProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "5 0";
				extent = "194 14";
				minExtent = "8 2";
				enabled = "1";
				visible = "1";
				clipToParent = "1";
				lineSpacing = "2";
				allowColorChars = "0";
				maxChars = "-1";
				maxBitmapHeight = "-1";
				selectable = "1";
				autoResize = "1";
			};
		};
	};
	
	newChatHud.add(lob_visionHud);
	lob_visionHud.position = 10 SPC ((getWord(getRes(),1) - (getWord(lob_hud.extent,1) + 10) - getWord(lob_visionHud.extent,1)));
	//lob_visionHud.position = (getWord(getRes(),0) / 2) SPC (getWord(getRes(),1) / 2);
	//lob_visionHud.position = (getWord(lob_visionHud.position,0) - (getWord(lob_visionHud.extent,0) / 2)) SPC (getWord(lob_visionHud.position,1) - ( getWord(lob_visionHud.extent,1) / 2));
	//lob_visionHud.position = getWord(lob_visionHud.position,0) SPC (getWord(lob_visionHud.position,1) - 200);
	lob_visionHud.setVisible(0);
	
	return lob_visionHud;
}

function clientCmdReceiveVision(%data)
{
	if(!isObject(lob_visionHud))
		lob_vision_buildHud();
	%message = %data;
	%icon = "add-ons/client_lob/images/fairy";
	
	if(%message !$= "")
	{
		lob_vision_text.setValue(%message);
		cancel(lob_visionHud.loop);
		lob_visionHud.setVisible(1);
		lob_vision_icon.setbitmap(%icon);
		lob_visionHud.loop = lob_visionHud.schedule(600,setVisible,0);
	}
}

function clientCmdVisionInit()
{
	lob_vision_buildhud();
}