if(isObject(lob_healthbar))lob_healthbar.delete();
//--- OBJECT WRITE BEGIN ---
new GuiSwatchCtrl(lob_healthbar) 
{
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "2 2";
	extent = "423 17";
	minExtent = "8 2";
	enabled = "1";
	visible = "1";
	clipToParent = "1";
	color = "255 255 255 255";

	new GuiSwatchCtrl(lob_healthBarSetter) 
	{
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "423 17";
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		color = "255 255 0 255";

		new GuiSwatchCtrl() 
		{
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "2 2";
			extent = "419 13";
			minExtent = "8 2";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
			color = "0 200 0 255";
		};
	};
};
//--- OBJECT WRITE END ---

newChatHud.add(lob_healthBar);

function lob_healthbar::configure(%this)
{
	%res = getRes();
	%x = getWord(%res,0);
	%y = getWord(%res,1);
	
	%hbx = 15;
	%hby = %y - 80;
	
	lob_healthbar.position = %hbx SPC %hby;
}

lob_healthbar.configure();

function clientCmdLob_updateHealthbar(%damage,%tempHp,%totalHp)
{	
	return false;
	%diffpercentage =  ( mValueOf((%totalHp-%tempHp)) / ( (%totalHp + %tempHp) / 2 ) );
	echo("diff percentage = " @ %diffpercentage);
	%hbext = getWord(lob_healthbar.extent,0);
	%sub = %hbExt * %diffPercentage/0.7;
	echo("Set extent to = " @ getWord(lob_healthBar.extent,0) - %sub);
	lob_healthbarSetter.extent = (getWord(lob_healthBar.extent,0) - mfloor(%sub)) SPC getWord(lob_healthBar.extent,1);
	//( | (V1 - V2) | / ((V1 + V2)/2) ) * 100
	
}

function mValueOf(%this)
{
	if(strLen(%this) >= 1)
	{
		if(getSubStr(%this,0,1) $= "-")
		{
			return getSubStr(%this,1,strLen(%this));
		}
	}
	return %this;
}