if(isObject(lob_inTheMeadow))
	lob_inthemeadow.delete();
	
if(isObject(lob_PaperTurtles))
	lob_paperTurtles.delete();
	
if(isFile("config/Client/Land of Blocks/Music/In_The_Meadow.ogg") && isFile("config/client/Land of Blocks/Music/Paper_turtles.ogg"))
{
	new AudioProfile(lob_inTheMeadow)  
	{  
		filename    = "config/Client/Land of Blocks/Music/In_The_Meadow.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};

	new AudioProfile(lob_paperTurtles)  
	{  
		filename    = "config/Client/Land of Blocks/Music/Paper_Turtles.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
	
	new AudioProfile(lob_intro)  
	{  
		filename    = "config/Client/Land of Blocks/Music/intro.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
	
	new AudioProfile(lob_anotherRealm)  
	{  
		filename    = "config/Client/Land of Blocks/Music/anotherrealm.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
	
	new AudioProfile(lob_Crinitas)  
	{  
		filename    = "config/Client/Land of Blocks/Music/crinitas.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
	
	new AudioProfile(lob_Anouk)  
	{  
		filename    = "config/Client/Land of Blocks/Music/Anouk.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
	
	new AudioProfile(lob_AuraOne)  
	{  
		filename    = "config/Client/Land of Blocks/Music/Aura_One.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
	
	new AudioProfile(lob_aLostWish)  
	{  
		filename    = "config/Client/Land of Blocks/Music/a_lost_wish.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
	
	new AudioProfile(lob_bundtling)  
	{  
		filename    = "config/Client/Land of Blocks/Music/bundtling.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
	
	new AudioProfile(lob_humblebug)  
	{  
		filename    = "config/Client/Land of Blocks/Music/humblebug.ogg";  
		description = "AudioGUI";  
		preload = true;  
	};
}

function clientCmdPlaySong(%song)
{
	if(!isObject(%song))
		return false;
		
	%length = alxGetWaveLen(%song.fileName);
	if(isEventPending($lob::MusicRequestSched))
		cancel($lob::MusicRequestSched);
		
	if(alxIsPlaying($lob::CurrentSong))
	{
		lob_fadeMusicOut("",%song);
		return true;
	}
		
	$lob::currentSong = alxPlay(%song);
	$lob::MusicRequestSched = schedule(%length-200,0,lob_RequestNewSong);
}

function lob_fadeMusicOut(%count,%song)
{
	cancel($lob::fadeOutLoop);
	
	if(%count $= "")
		%count = 1.0;
		
	%count = %count - 0.05;
	alxSetChannelVolume(1,%count);
	
	if(%count <= 0.0)
	{
		alxStop($lob::CurrentSong);
		alxSetChannelVolume(1,1);
		if(%song $= "")
			lob_requestNewSong();
		else
			clientCmdPlaySong(%song);
		return true;
	}
	
	$lob::fadeOutLoop = schedule(20,0,lob_FadeMusicOut,%count,%song);
}

function lob_requestNewSong()
{
	commandToServer('newSong');
}