if(isObject(lob_smeltingCtrl))
	lob_smeltingCtrl.delete();

//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_smeltingCtrl) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "800 600";
   minExtent = "8 8";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "92 52";
      extent = "655 331";
      minExtent = "8 8";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      text = "Smelting";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
	  accelerator = "Escape";
	  command = "canvas.popDialog(lob_smeltingCtrl);";
      closeCommand = "Canvas.popDialog(lob_smeltingCtrl);";

      new GuiScrollCtrl() {
         profile = "GuiScrollProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "13 84";
         extent = "200 200";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         willFirstRespond = "0";
         hScrollBar = "alwaysOn";
         vScrollBar = "alwaysOn";
         constantThumbHeight = "0";
         childMargin = "0 0";
         rowHeight = "40";
         columnWidth = "30";

         new GuiTextListCtrl(lob_smeltingYourOresList) {
            profile = "GuiTextListProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "1 1";
            extent = "157 2";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            enumerate = "0";
            resizeCell = "1";
            columns = "0";
            fitParentWidth = "1";
            clipColumnText = "0";
         };
      };
      new GuiScrollCtrl() {
         profile = "GuiScrollProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "226 84";
         extent = "200 200";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         willFirstRespond = "0";
         hScrollBar = "alwaysOn";
         vScrollBar = "alwaysOn";
         constantThumbHeight = "0";
         childMargin = "0 0";
         rowHeight = "40";
         columnWidth = "30";
		 
         new GuiTextListCtrl(lob_smeltingBarsList) {
            profile = "GuiTextListProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "1 1";
            extent = "157 2";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            enumerate = "0";
            resizeCell = "1";
            columns = "0";
            fitParentWidth = "1";
            clipColumnText = "0";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "13 33";
         extent = "201 43";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "0 5";
            extent = "201 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Your Ores";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "226 33";
         extent = "201 43";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "0 5";
            extent = "201 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Pick a Bar";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiScrollCtrl() {
         profile = "GuiScrollProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "441 84";
         extent = "200 200";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         willFirstRespond = "0";
         hScrollBar = "alwaysOn";
         vScrollBar = "alwaysOn";
         constantThumbHeight = "0";
         childMargin = "0 0";
         rowHeight = "40";
         columnWidth = "30";
		 
         new GuiTextListCtrl(lob_smeltingOresNeededList) {
            profile = "GuiTextListProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "1 1";
            extent = "157 2";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            enumerate = "0";
            resizeCell = "1";
            columns = "0";
            fitParentWidth = "1";
            clipColumnText = "0";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "441 33";
         extent = "201 43";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "0 5";
            extent = "201 29";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center><font:impact:30>Ores Required";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "255 290";
         extent = "140 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         text = "Smelt";
         groupNum = "-1";
		 command = "lob_doSmelting();";
         buttonType = "PushButton";
      };
   };
};
//--- OBJECT WRITE END ---

function lob_smeltingCtrl::onWake(%this)
{
	commandToServer('populateSmeltingList');
}

function clientCmdPopulateBarsList(%string)
{
	%o = lob_smeltingBarsList;
	%o.clear();
	%c = getWordCount(%string) + 1;
	
	for(%i=0;%i<%c;%i++)
	{
		%w = getWord(%string,%i);
		%o.addRow(%i,%w);
	}
}

function clientCmdPopulateYourOresList(%string)
{
	%o = lob_smeltingYourOresList;
	%o.clear();
	%c = getWordCount(%string) + 1;
	
	if(%string $= "-1")
	{
		%o.addRow(0,"None");
		return 0;
	}
		
	for(%i=0;%i<%c;%i++)
	{
		%w = getWord(%string,%i);
		%w = strReplace(%w,"_"," ");
		
		%o.addRow(%i,%w);
	}
}

function clientCmdBarRequirements(%string)
{
	%o = lob_smeltingOresNeededList;
	%o.clear();
	%c = getWordCount(%string) + 1;
	
	for(%i=0;%i<%c;%i++)
	{
		%w = getWord(%string,%i);
		%w = strReplace(%w,"_"," ");
		%o.addRow(%i,%w);
	}
}

function lob_smeltingBarsList::onSelect(%this,%id,%row)
{
	%text = %this.getRowTextById(%id);
	commandToServer('barRequirements',%text);
}

function lob_doSmelting()
{
	%id = lob_smeltingBarsList.getSelectedId();
	%text = lob_smeltingBarsList.getRowTextById(%id);
	commandToServer('smeltBar',%text @ " bar");
}

function clientCmdOpenSmeltingGui()
{
	canvas.pushDialog(lob_smeltingCtrl);
}

function clientCmdCloseSmeltingGui()
{
	canvas.popDialog(lob_smeltingCtrl);
}