if(isObject(lob_tradeCtrl))
	lob_tradeCtrl.delete();

//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_TradeCtrl) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "800 600";
   minExtent = "8 8";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "86 38";
      extent = "637 515";
      minExtent = "8 8";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      text = "Trade";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "0";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      closeCommand = "Canvas.popDialog(lob_tradeCtrl);";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "25 48";
         extent = "243 450";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "12 54";
            extent = "219 335";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "alwaysOn";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_tradeInventoryList) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "202 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "12 11";
            extent = "219 31";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "2 2";
               extent = "215 29";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:30>Inventory";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiButtonCtrl() {
            profile = "GuiButtonProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "12 402";
            extent = "140 30";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            text = "Add";
            groupNum = "-1";
            buttonType = "PushButton";
			command = "lob_tradeAddToList();";
         };
         new GuiTextEditCtrl(lob_tradeTextEdit) {
            profile = "GuiTextEditProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "167 407";
            extent = "64 18";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            maxLength = "255";
            historySize = "0";
            password = "0";
            tabComplete = "1";
            sinkAllKeyEvents = "0";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "297 48";
         extent = "313 395";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 255";

         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "12 11";
            extent = "288 31";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiMLTextCtrl() {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "1 2";
               extent = "285 29";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:30>Your Offers";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "11 54";
            extent = "290 125";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "alwaysOn";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_tradeYourOffersList) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "273 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "12 213";
            extent = "288 31";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiMLTextCtrl(lob_tradeOfferText) {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "1 2";
               extent = "285 29";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               text = "<just:center><font:impact:30>Client Offers";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "11 256";
            extent = "290 125";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "alwaysOn";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_tradeClientOffersList) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "273 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
         new GuiButtonCtrl() {
            profile = "GuiButtonProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "85 184";
            extent = "140 23";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            text = "Remove";
            groupNum = "-1";
            buttonType = "PushButton";
			command = "lob_tradeRemoveFromList();";
         };
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "297 453";
         extent = "140 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         text = "Accept";
         groupNum = "-1";
         buttonType = "PushButton";
		 command = "commandToServer(\'inTradeAccept\');";
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "471 453";
         extent = "140 30";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         text = "Decline";
         groupNum = "-1";
         buttonType = "PushButton";
		 command = "commandToServer(\'inTradeDecline\');";
      };
      new GuiTextCtrl(lob_tradeStatusText) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "297 487";
         extent = "71 18";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         text = "status: Waiting";
         maxLength = "255";
      };
   };
};
//--- OBJECT WRITE END ---

function clientCmdOpenTradeGui()
{
	canvas.pushDialog(lob_tradeCtrl);
}

function clientCmdCloseTradeGui()
{
	canvas.popDialog(lob_tradeCtrl);
}

function lob_tradeCtrl::onWake(%this)
{
	lob_tradeClientOffersList.clear();
	lob_tradeYourOffersList.clear();
	lob_tradeInventoryList.clear();
	lob_tradeTextEdit.setValue("");
	commandToServer('populateInventory');
	commandToServer('getTradeData');
}

function lob_tradeCtrl::onSleep(%this)
{

}

function lob_tradeInventoryList::onSelect(%this,%id,%int)
{
	%n = %this.getRowTextById(%id);
	%amt = lastWord(%n);
	lob_tradeTextEdit.setValue(%amt);
}

function lob_tradeAddToList()
{
	%id = lob_tradeInventoryList.getSelectedId();
	%text = lob_tradeInventoryList.getRowTextById(%id);
	%rem = pullintfromstring(%text);
	%text = trim(strReplace(%text,%rem,""));
	%text = %text SPC lob_tradeTextEdit.getValue();
	commandToServer('inTradeAddItem',%text);
	lob_tradeTextEdit.makeFirstResponder(0);
}

function lob_tradeRemoveFromList()
{
	%id = lob_tradeYourOffersList.getSelectedId();
	%text = lob_tradeYourOffersList.getRowTextById(%id);
	commandToServer('inTradeRemoveItem',%text);
}

function clientCmdCatchTradeData(%type,%item,%amount)
{
	if(%item $= "clear")
	{
		%o = lob_tradeClientOffersList;
		%o.clear();
		%o = lob_tradeYourOffersList;
		%o.clear();
	}
	else
	{
		if(%type $= "Client")
		{
			%o = lob_tradeClientOffersList;
			%o.addRow(%o.rowCount() + 1,%item SPC %amount);
		}
		else
		if(%type $= "Yours")
		{
			%o = lob_tradeYourOffersList;
			%o.addRow(%o.rowCount() + 1,%item SPC %amount);
		}
	}
}

function clientCmdSetTradeStatus(%text)
{
	lob_tradeStatusText.setText(%text);
}
