if(isobject(lob_playerstats))
	lob_playerstats.delete();

//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_playerstats) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "640 480";
   minExtent = "8 2";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "GuiWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "175 96";
      extent = "289 288";
      minExtent = "8 2";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      command = "canvas.popdialog(lob_playerstats);";
      accelerator = "escape";
      text = "Simba\'s Stats";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      closeCommand = "canvas.popdialog(lob_playerstats);";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "10 31";
         extent = "270 62";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "0 0 0 255";

         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "1 1";
            extent = "268 60";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiTextCtrl(lob_playerView_level) {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "5 1";
               extent = "83 28";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               text = "Lv.";
               maxLength = "255";
            };
            new GuiTextCtrl(lob_playerView_health) {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "139 0";
               extent = "121 28";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               text = "HP:";
               maxLength = "255";
            };
            new GuiTextCtrl(lob_playerview_location) {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "5 28";
               extent = "124 28";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               text = "Loc:";
               maxLength = "255";
            };
            new GuiTextCtrl(lob_playerView_status) {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "139 28";
               extent = "125 28";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               text = "Status:";
               maxLength = "255";
            };
         };
      };
      new GuiBitmapButtonCtrl() {
         profile = "BlockButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "103 247";
         extent = "84 33";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         command = "canvas.popdialog(lob_playerstats);";
         text = "OK";
         groupNum = "-1";
         buttonType = "PushButton";
         bitmap = "./client/ui/button2";
         lockAspectRatio = "0";
         alignLeft = "0";
         alignTop = "0";
         overflowImage = "0";
         mKeepCached = "0";
         mColor = "255 255 255 255";
      };
      new GuiScrollCtrl() {
         profile = "GuiScrollProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "10 101";
         extent = "270 137";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         willFirstRespond = "0";
         hScrollBar = "dynamic";
         vScrollBar = "dynamic";
         constantThumbHeight = "0";
         childMargin = "0 0";
         rowHeight = "40";
         columnWidth = "400";

         new GuiTextListCtrl(lob_playerView_list) {
            profile = "GuiTextListProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "1 1";
            extent = "268 2";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            enumerate = "0";
            resizeCell = "1";
            columns = "0";
            fitParentWidth = "1";
            clipColumnText = "0";
         };
      };
   };
};
//--- OBJECT WRITE END ---

function clientCmdlob_playerView_open(%name,%lvl,%health,%status,%location)
{
	canvas.pushDialog(lob_playerStats);
	lob_playerstats.getObject(0).setText(%name @ "\'s Stats.");
	lob_playerView_status.setText("Status: " @ %status);
	lob_playerView_health.setText("Health: " @ %health);
	lob_playerView_level.setText("Lv. : " @ %lvl);
	if(%location $= "")
		%location = "N/A";
	lob_playerView_location.setText("loc. : " @ %location);
}

function clientCmdLob_playerView_registerSkill(%nameAndlevel)
{
	$lob::playerView::count++;
	LOB_playerView_list.addRow($lob::playerView::count,%nameandlevel);
}

function lob_playerstats::onSleep()
{
	$lob::playerView::count=0;
	lob_playerView_list.clear();
}